import React, { useState } from "react";
import {
  StyleSheet,
  ScrollView,
  Dimensions,
  StatusBar,
} from "react-native";
import {useSafeAreaInsets, SafeAreaView} from "react-native-safe-area-context";
import Scan from "./layouts/Scan";

const width = Dimensions.get("window").width;
function QR({ route }) {
  const insets = useSafeAreaInsets();

  return (
    <SafeAreaView
      style={{
        flex : 1,
        paddingTop : insets.top,
        paddingBottom : insets.bottom
      }}
    >
      <ScrollView
        contentContainerStyle={styles.contentContainerStyle}
        style={styles.container}
      >
        <Scan page={route?.params?.page} />
      </ScrollView>
    </SafeAreaView>
  );
}

export default QR;

const styles = StyleSheet.create({
  contentContainerStyle: {
    paddingBottom: 0,
    flex : 1
  },
  container: {
    width: Dimensions.get("window").width,
    backgroundColor: "white",
    flexDirection: "column",
    paddingVertical: 0,
    paddingHorizontal: 0,
  },
});
